package app.DAO;

import javax.persistence.*;

/**
 * Created by Petr Flégl on 27.2.2017.
 */
@Entity
@Table(name="dashboardPanelWidget")
public class DashboardPanelWidget {
    @Id
    @Column(unique = true)
    String NameID;
    @Column
    int row;
    @Column
    int col;



    static final String [] SETTERS = {"setNameID", "setRow", "setCol"};
    static final String [] GETTERS = {"getNameID", "getRow", "getCol"};

    public DashboardPanelWidget(String nameID, int row, int col) {
        NameID = nameID;
        this.row = row;
        this.col = col;
    }

    public DashboardPanelWidget(int row, int col) {
        this.row = row;
        this.col = col;
    }

    public DashboardPanelWidget() {
    }

    public int getCol() {
        return col;
    }

    public void setCol(int col) {
        this.col = col;
    }

    public int getRow() {
        return row;
    }

    public void setRow(int row) {
        this.row = row;
    }

    public String getNameID() {
        return NameID;
    }

    public void setNameID(String nameID) {
        NameID = nameID;
    }




}
